SND_CTL_FIND_ID(9)

NAME
snd_ctl_find_id - find the control instance with the given id

SYNOPSIS

struct snd_kcontrol * snd_ctl_find_id(struct snd_card * card, struct snd_ctl_elem_id * id);

ARGUMENTS

card
    the card instance

id
    the id to search

DESCRIPTION

Finds the control instance with the given id from the card.

The caller must down card->controls_rwsem before calling this function (if the race condition can happen).

RETURN

The pointer of the instance if found, or NULL if not.

COPYRIGHT